<template>
  <div id="main">
    <basic-container>
      <v-chart :options="option" ref="chart" style="width: 100%;"></v-chart>
    </basic-container>
  </div>
</template>

<script>
import 'echarts'
import 'echarts/lib/chart/line';
import 'echarts/lib/component/tooltip';
import 'echarts/lib/component/title';
import 'echarts/lib/component/legend';
export default {
  name: "statisticPage",
  data() {
    return {
      option: {
        color: ['red','black'],
        legend: {
          data: ['图例1', '图例2', '图例3'],
        },
        dataset: [
          {
            id: 'dataset_raw',
            source: [
              { month: 1, total: 1000, newly: 800 },
              { month: 2, total: 5000, newly: 1000 },
              { month: 3, total: 1800, newly: 1400 },
              { month: 4, total: 1500, newly: 1200 },
              { month: 5, total: 1000, newly: 1200 },
              { month: 6, total: 1500, newly: 1200 },
              { month: 7, total: 1500, newly: 1200 },
              { month: 8, total: 1500, newly: 1000 },
              { month: 9, total: 1500, newly: 1200 },
              { month: 10, total: 1500, newly: 1200 },
              { month: 11, total: 1500, newly: 1200 },
              { month: 12, total: 1500, newly: 1200 },
            ],
          },
        ],
        title: {
          text: '主数据统计分析',
          left:'center',
          textAlign:'center'
        },
        tooltip: {
          trigger: 'axis',
        },
        xAxis: {
          type: 'category',
          nameLocation: 'middle',
          name:'month',
          // data: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12] // 月份数据
        },
        yAxis: {
          name: 'Number',
          type: 'value',
        },
        series: [
          {
            type: 'line',
            datasetId: 'dataset_raw',
            showSymbol: false,
            encode: {
              x: 'month',
              y: 'total',
              itemName: 'month',
              tooltip: ['total'],
            },
          },
          {
            type: 'line',
            datasetId: 'dataset_raw',
            showSymbol: false,
            encode: {
              x: 'month',
              y: 'newly',
              itemName: 'month',
              tooltip: ['newly'],
            },
          },
        ],
      }
    };
  },
  mounted() {
    import('echarts').then((echarts) => {
      // console.log(echarts)
      this.$nextTick(() => {
        const chartDom = this.$refs.chart.$el;
        const myChart = echarts.init(chartDom);
        myChart.setOption(this.option);
      });
    });
  },
}
</script>

<style scoped>

</style>
